Table of Contents

Class: IRC | Twisted-0.19.0/twisted/protocols/irc.py
--- | ---
Internet Relay Chat server protocol.
Base Classes |
--- | ---
protocol.Protocol
Methods |
--- | ---
connectionMade dataReceived irc_unknown sendLine sendMessage
| connectionMade
    connectionMade ( self )
| dataReceived
    dataReceived ( self,  data )
This hack is to support mIRC, which sends LF only, even though the RFC says CRLF. (Also, the flexibility of LineReceiver to turn "line mode" on and off was not required.)
| irc_unknown
    irc_unknown (
            self,
            prefix,
            command,
            params,
            )
Implement me!
Exceptions |
--- | ---
NotImplementedError
| sendLine
    sendLine ( self,  line )
| sendMessage
    sendMessage (
            self,
            command,
            *parameter_list,
            *prefix,
            )
### Send a line formatted as an IRC message. First argument is the command, all subsequent arguments are parameters to that command. If a prefix is desired, it may be specified with the keyword argument `prefix`.
Exceptions |
--- | ---
ValueError, "IRC message requires a command." ValueError, "Somebody screwed up, 'cuz this doesn't" " look like a command to me: %s" % command

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0